.nolist
include \masm32\include\masm32rt.inc
.686
include \masm32\macros\timers.asm			; get them from the [url=http://www.masm32.com/board/index.php?topic=770.0]Masm32 Laboratory[/url]
LOOP_COUNT	= 100000		; 1000000 would be a typical value

.data
Src	db "This is a string, 100 characters long, that serves for a variety of purposes, such as testing algos.", 0

.data?
Dest	db 100 dup(?)

.code
start:
	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 100
		mov eax, 1000
		imul eax, eax, 8
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 100*imul 8", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 100
		mov eax, 1000
		shl eax, 3
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 100*shl 3", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 100
		mov eax, 1000
		imul eax, eax, 10
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 100*imul 10", 13, 10

	counter_begin LOOP_COUNT, HIGH_PRIORITY_CLASS
		REPEAT 100
		mov eax, 1000
		lea eax, [eax+4*eax]
		add eax, eax
		ENDM
	counter_end
	print str$(eax), 9, "cycles for 100*lea mul10", 13, 10

	inkey chr$(13, 10, "--- ok ---", 13)
	exit
end start

RichMasm options:

OPT_Tmp2Asm	1
OPT_Assembler	ml
OPT_Wait	0

Check also the [url=\masm32\RichMasm\RES\TimingsMacro.asc]timings macro[/url]